(function() {
  var FileSource, fs, getFilePaths, path;
  fs = require('fs');
  path = require('path');
  getFilePaths = function(dir, suffix, fpaths) {
    var file, fname, fpath, _i, _len, _ref;
    if (fpaths == null) {
      fpaths = [];
    }
    if (fs.statSync(dir).isFile()) {
      return [dir];
    }
    _ref = fs.readdirSync(dir);
    for (_i = 0, _len = _ref.length; _i < _len; _i++) {
      fname = _ref[_i];
      fpath = path.join(dir, fname);
      file = fs.statSync(fpath);
      if (file.isDirectory()) {
        getFilePaths(fpath, suffix, fpaths);
      } else if (fpath.slice(fpath.length - suffix.length, fpath.length) === suffix) {
        fpaths.push(fpath);
      }
    }
    return fpaths;
  };
  this.getFilePaths = getFilePaths;
  this.getFileSources = function(dir, suffix) {
    var fpath, _i, _len, _ref, _results;
    _ref = getFilePaths(dir, suffix);
    _results = [];
    for (_i = 0, _len = _ref.length; _i < _len; _i++) {
      fpath = _ref[_i];
      _results.push(new FileSource(fpath));
    }
    return _results;
  };
  FileSource = (function() {
    function FileSource(path) {
      this.path = path;
    }
    FileSource.prototype.read = function(encoding) {
      if (encoding == null) {
        encoding = 'utf-8';
      }
      return fs.readFileSync(this.path, encoding);
    };
    return FileSource;
  })();
}).call(this);
